summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-05-22 05:03:37 +0100
committerSam James <sam@gentoo.org>2022-05-22 05:03:52 +0100
commitcff927ad33881c2fa07588b73b3ce0e8b093d93d (patch)
tree2d02eac35d28c1791a5fa736aa3f2c53a572540e /net-fs/btfs/btfs-2.24.ebuild
parentdev-util/scanmem: fix musl tests (diff)
downloadgentoo-cff927ad33881c2fa07588b73b3ce0e8b093d93d.tar.gz
gentoo-cff927ad33881c2fa07588b73b3ce0e8b093d93d.tar.bz2
gentoo-cff927ad33881c2fa07588b73b3ce0e8b093d93d.zip
net-fs/btfs: add 2.24
Closes: https://bugs.gentoo.org/846128 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'net-fs/btfs/btfs-2.24.ebuild')
-rw-r--r--net-fs/btfs/btfs-2.24.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/net-fs/btfs/btfs-2.24.ebuild b/net-fs/btfs/btfs-2.24.ebuild
new file mode 100644
index 00000000000..bbf144bed74
--- /dev/null
+++ b/net-fs/btfs/btfs-2.24.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit autotools python-r1
+
+DESCRIPTION="a bittorrent filesystem based on FUSE"
+HOMEPAGE="https://github.com/johang/btfs"
+SRC_URI="https://github.com/johang/btfs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND=">=sys-fs/fuse-2.8.0:0
+ >=net-misc/curl-7.22.0
+ dev-libs/boost:=
+ >=net-libs/libtorrent-rasterbar-0.16.0:="
+RDEPEND="${DEPEND}
+ ${PYTHON_DEPS}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ # Don't install btplay via make
+ sed -i '/^SUBDIRS =/s/scripts//' Makefile.am || die
+
+ eautoreconf
+}
+
+src_install() {
+ default
+
+ python_foreach_impl python_doscript scripts/btplay
+}